View Issue Details

IDProjectCategoryView StatusLast Update
0002486unrealircdpublic2012-11-25 18:52
Reporteralex323Assigned Tonenolod 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSFreeBSDOS Version4.10-REL
Product Version3.2.3 
Target Version3.3-alpha0Fixed in Version3.4-alpha1 
Summary0002486: local ircop cannot issue CLOSE command
DescriptionI am a local ircop. I am oper'd up with the modes +iwghrsOxWzt (+kcfeGqSso). I cannot use the CLOSE command. Permissison denied. See log:

[20:01:42] -> Server: CLOSE
-
Permission Denied- You do not have the correct IRC operator privileges
Steps To Reproduce1.) Oper up.
2.) Type (from mIRC) /quote CLOSE
Additional InformationI'm using SSL. If that makes a difference.
TagsNo tags attached.
3rd party modules

Activities

aquanight

2005-04-17 20:47

reporter   ~0009767

It seems kind of "weird" that a local oper can /kill normal (local) users, but can't "kill" (/close) unknown connections?

On the other hand, how often does /close get used anyway :P .

alex323

2005-04-17 20:50

reporter   ~0009768

> On the other hand, how often does /close get used anyway :P .

It really shouldn't matter how often it gets used or not. But I do see what you mean.

vonitsanet

2005-04-18 03:16

reporter   ~0009774

Yes i agree. Local Oper Should be able to close unknown connections on their server.
Its a "local" fuction and they should be able to do this.

2007-04-20 22:11

 

myoper.patch (636 bytes)

WolfSage

2007-04-20 22:12

reporter   ~0013621

Last edited: 2007-04-20 22:59

MyOper only checked for a global operator, instead of ANY local operator. This patch fixes that.

Edit: For some strange reason this seems not to have fixed it. Give me a bit...
Edit: Drinking + Coding = bad. I forgot to remove m_close.o/so before recompiling.
This patch works fine.

stskeeps

2007-04-24 04:51

reporter   ~0013650

Patched in .2367

Issue History

Date Modified Username Field Change
2005-04-17 20:18 alex323 New Issue
2005-04-17 20:47 aquanight Note Added: 0009767
2005-04-17 20:50 alex323 Note Added: 0009768
2005-04-18 03:16 vonitsanet Note Added: 0009774
2005-04-18 15:25 syzop Status new => confirmed
2007-04-20 22:11 WolfSage File Added: myoper.patch
2007-04-20 22:12 WolfSage Note Added: 0013621
2007-04-20 22:54 WolfSage Note Edited: 0013621
2007-04-20 22:59 WolfSage Note Edited: 0013621
2007-04-24 04:51 stskeeps Status confirmed => resolved
2007-04-24 04:51 stskeeps Fixed in Version => 3.3-alpha0
2007-04-24 04:51 stskeeps Resolution open => fixed
2007-04-24 04:51 stskeeps Assigned To => stskeeps
2007-04-24 04:51 stskeeps Note Added: 0013650
2011-07-19 14:03 syzop Assigned To stskeeps =>
2011-07-19 14:03 syzop Status resolved => needs re porting
2011-07-19 17:11 syzop Target Version => 3.3-alpha0
2012-11-25 18:51 nenolod Status needs re porting => resolved
2012-11-25 18:51 nenolod Fixed in Version 3.3-alpha0 => 3.4-alpha1
2012-11-25 18:51 nenolod Assigned To => nenolod